# numberwords.py
# --------------
# By MWC Contributors
# Functions to print out a verbal representation of an integer.

MAXIMUM = 1000000
DIGIT_NAMES = [
    "zero", "one", "two", "three", "four", "five", "six", "seven", "eight", "nine"
]
TWEEN_AND_TEEN_NAMES = [
    "ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen"
]
TENS_NAMES = [
    "ten", "twenty", "thirty", "forty", "fifty", "sixty", "seventy", "eighty", "ninety"
]

def int_under_1000000_to_str(number):
    "Returns a textual representation of the number."
    check_number_in_range(abs(number), 0, MAXIMUM)
    return "umm..."
        
def int_under_1000_to_str(number):
    "Returns a textual representation of the number"
    check_number_in_range(number, 0, 1000)
    return "umm..."

def int_under_100_to_str(number):
    check_number_in_range(number, 0, 100)
    return "umm..."

def int_under_10_to_str(number):
    check_number_in_range(number, 0, 10)
    return "umm..."

def check_number_in_range(number, minimum, maximum):
    """Checks whether a number is at least minimum and less than maximum. 
    Raises an error if the number is not in range.
    """
    if number < minimum:
        raise ValueError(f"{number} must not be below {minimum}.")
    if number >= maximum:
        raise ValueError(f"{number} must be less than {maximum}.")

def divide_with_remainder(dividend, divisor):
    """Divides one number by another, using whole-number division. 
    Returns the quotient and the remainder.
    Note how a function can return more than one value!
    """
    quotient = dividend // divisor
    remainder = dividend % divisor
    return quotient, remainder
